<!DOCTYPE html>
<html lang="en">
<head>
  {% set base = '../..' %}
  {% set dispatch_arg = handler.path_args[0] %}
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Dispatches - {{ dispatch_arg }}</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css">
  <link href="https://cdnjs.cloudflare.com/ajax/libs/prism/1.20.0/themes/prism-okaidia.min.css" rel="stylesheet">
  <!-- Begin Mailchimp Signup Form -->
  <link href="//cdn-images.mailchimp.com/embedcode/horizontal-slim-10_7.css" rel="stylesheet" type="text/css">
  <link href="{{base}}/style.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.20.0/prism.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.20.0/plugins/normalize-whitespace/prism-normalize-whitespace.min.js"></script>
</head>
<body class="d-flex flex-column h-100">
  {% import os %}
  {% import glob %}
  {% from dispatches import md %}
  {% import gramex.cache %}
  {% set directory = os.path.abspath(os.path.dirname("__file__")) %}
  {% set topics_path = os.path.join(directory, handler.kwargs.dir) %}
  {% set topics = [f for f in next(os.walk(topics_path))[1]] %}
  {% set fpath = os.path.join(directory, handler.kwargs.dir, dispatch_arg) %}
  <main role="main" class="flex-shrink-0">
    <div class="container">
      <div class="lead">
        {% set f = open(os.path.join(fpath, 'README.md'), 'r').read() %}
        {% set content = md.convert(f) %}
        {% raw content %}
      </div>

      {% for f in sorted(glob.glob(fpath + "/*.yml")) %}
        {% set block = gramex.cache.open(os.path.join(fpath, f), 'yaml') %}
        {% if block %}
          {% if type(block) is not list %}
            <div class="row border-radius block overflow-auto align-items-center my-4">
              <div class="col-md-8 col-sm-12 text-primary code">
                <pre>
                  <code class="language-{{ block['lang'] if 'lang' in block else 'conf' }}">
                    {{ block['code'] }}
                  </code>
                </pre>
              </div>
              <div class="col-md-4 col-sm-12 title">
                <span class="h5">{{ block['title'] }}</span>
                <p class="sm1 text-secondary description">
                  {{ block['description'] }}
                  {% if 'link' in block %}
                    <a target="_blank" rel="noopener" href="{{ block['link'] }}">More</a>
                  {% end %}
                </p>
              </div>
            </div>
          {% else %}
            {% for b in block %}
              <div class="row border-radius block overflow-auto align-items-center my-4">
                <div class="col-md-8 col-sm-12 text-primary code">
                  <pre>
                    <code class="language-{{ b['lang'] if 'lang' in b else 'conf' }}">
                      {{ b['code'] }}
                    </code>
                  </pre>
                </div>
                <div class="col-md-4 col-sm-12 title">
                  <span class="h5">{{ b['title'] }}</span>
                  <p class="sm1 text-secondary description">
                    {{ b['description'] }}
                    {% if 'link' in b %}
                      <a target="_blank" rel="noopener" href="{{ b['link'] }}">More</a>
                    {% end %}
                  </p>
                </div>
              </div>
            {% end %}
          {% end %}
        {% end %}
      {% end %}
    </div>
    <div class="container report">
      <h5>Thanks for reading!</h5>
      <p>
        Found a mistake? Report as a <a href="https://gitlab.com/bhanu.k/dispatches/issues/">GitLab issue</a> or <a href="mailto:talk2kish@gmail.com">Email</a> me.
      </p>
    </div>
  </main>
  <footer class="footer my-auto py-3 my-4 px-2 mx-2">
    {% include 'footer.html' %}
  </footer>
</body>
</html>
